﻿$ErrorActionPreference = 'Stop';

$packageName= 'pragmaticworksworkbenchserver'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://download.pragmaticworks.com/prerelease/BETA/2017.1/BETA_Workbench_Server_2017.1.2.1129.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  silentArgs    = "/quiet /norestart"
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'Workbench Server*'
  checksum = 'E3D9FA6E3D3FE327B02CFE2D30DCF263A886B6CAE2EB623ACA20D28553B60B11'
  checksumType = 'sha256'
  checksum64 = 'RTNEOUZBNkUzRDNGRTMyN0IwMkNGRTJEMzBEQ0YyNjNBODg2QjZDQUUyRUI2MjNBQ0EyMEQyODU1M0I2MEIxMQ=='
  checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs
